/************************************************************************
 Ty4a IRC Bot (c) 2001, 2002, ChatNet.Org.Ru

 Based on Dancer originally written by Bjorn Reese and Daniel Stenberg
 See README file for more information.
    
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 
 $Id: ctcp.h,v 1.2 2002/11/27 02:37:11 tzapper Exp $

************************************************************************/

#ifndef CTCP_H
#define CTCP_H

#include <sys/types.h>

#define CLIENTINFOMSG "Supported commands: CLIENTINFO USERINFO VERSION PING TIME"

void CTCPignore(void);

void CTCP(char *, char *);
void PubCTCP(char *, char *);
void CtcpClientinfo(char *, char *);
void CtcpVersion(char *, char *);
void CtcpUserinfo(char *, char *);
void CtcpPing(char *, char *);
void CtcpTime(char *, char *);
void CtcpAction(char *, char *);
void CtcpDCC(char *, char *);
void CtcpXdcc(char *, char *);
void CtcpQuote(char *, size_t, char *);
void CtcpUnquote(char *, size_t, char *);

#define TIME_CTCPIGNORE 30 /* always ignore 30 seconds after a flood */

#endif /* CTCP_H */
