#ifndef NETSTUFF_H
#define NETSTUFF_H

#include "dancer.h"
#include "user.h"
#include <netinet/in.h>

void NetInit(void);
void NetCleanup(void);
int OpenConnection(char *, int);
int OpenServerConnection(char *, int);
itemclient *OpenClientConnection(char *, char *, itemuser *, char *, int);
void CloseConnection(int);
bool Alive(int);
void EventLoop(void);
inline void WriteNick(char *, char *);
void WriteServer(char *, ...);
inline void WriteSocket(int, char *);
void WriteSocketf(int, char *, ...);
char *MakeIP(ulong);
void Outgoing(char *, char, char *);

#define OUT_LINK 1
#define OUT_CHAT 2
#define OUT_SEND 3

/* *NO* trailing slash on the dir names below! */

/* add this to the left of all names you're getting */
#define DCC_FILEPATH "/pub"

/* this is the directory for the local cached files */
#define DCC_FILECACHE "./tmp"

/* this is the primary ftp site to download from */
#define DCC_PRIMARY_FTP "chatnet.org.ru"

#endif /* NETSTUFF_H */
