#ifndef PARSE_H
#define PARSE_H

#define FUNC_REGULAR     (1<<0)
#define FUNC_PUBLIC      (1<<1)
#define FUNC_DCC         (1<<2)
#define FUNC_PWD         (1<<3)
#define FUNC_LOWLEVEL    (1<<4)
#define FUNC_HIGHLEVEL   (1<<5)
#define FUNC_MATCH       (1<<6)
#define FUNC_REGEX       (1<<7)
#define FUNC_STRINGFIRST (1<<8)

typedef enum {
  VAR_NONE,
  VAR_NICKNAME,
  VAR_CHANNEL,
  VAR_BOTNAME,
  VAR_LASTDUMMY
} lineVariables;

void FuncInit(void);
void FuncCleanup(void);
void FuncReload(char *);
char *FuncRun(char *, char *, char *, long, long, char);
char *FuncMatch(char *, char *, long, long);

#endif /* PARSE_H */
