/************************************************************************
 Ty4a IRC Bot (c) 2001, 2002, ChatNet.Org.Ru

 Based on Dancer originally written by Bjorn Reese and Daniel Stenberg
 See README file for more information.
    
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 
 $Id: tell.h,v 1.1.1.1 2002/11/24 19:54:52 tzapper Exp $

************************************************************************/

#ifndef TELL_H
#define TELL_H

#include "dancer.h"
#include "user.h"
#include "list.h"

typedef struct Tellstruct {
  struct Header h;
  int id;
  char *sender;    /* a!b@c.d */
  char *receiver;  /* b@c.d */
  char *rcvdomain; /* b@*.d */
  time_t when;
  char *message;
} itemtell;


void TellInit(void);
void TellCleanup(void);
void TellMe(char *, char *, bool);
void TellAdd(char *, char *, char *, char *);
void TellDel(char *, char *, char *);
void TellList(char *, char *);
void TellNotify(itemguest *);
void TellSave(void);

#endif /* TELL_H */
