
#ifndef COUNTRY_H
#define COUNTRY_H

enum {
  eu=0, /* europe */
  as, /* asia */
  af, /* africa */
  au, /* australia */
  na, /* north america */
  sa, /* south america */
  an  /* antarctica */
};

typedef struct {
  char  continent;
  char *code;
  char *country;
  char *fullname;
  char *onemoney; /* name of one unit of the country's currency */
  char *currency; /* three-letter name of the currency */
  ulong sig;
  ulong let;  /* Marks used letters */
} land;

extern char *continents[];


void CountryInit(void);
void Country(char *, char *);
land *FindByCode(char *);
land *FindByCurrency(char *);
land *FindByCountry(char *);

#endif /* COUNTRY_H */
