#ifndef FLOOD_H
#define FLOOD_H

#include "dancer.h"
#include "user.h"

/* This define sets the *longest* interval accepted between two failed sitebans
   to trigger the RED alert situation. RED alert will most likely set the
   channel +i */
#define TRIGGER_RED_ALERT (10*SECINMIN) 

typedef enum {
  ALERT_NONE,
  ALERT_ON,
  ALERT_OFF,
  ALERT_RED,
  ALERT_LAST
} Alert;

int AlertMode(Alert);

bool Warning(itemguest *, char *, char *);
void FloodCheck(itemguest *);
void Check(itemguest *, char *);
void RepeatCheck(itemguest *, char *);
void AvalanceCheck(itemguest *, char *);
bool CTCPFloodCheck(itemguest *, bool);
void MultiCheck(char *domain);

#endif /* FLOOD_H */
